Bug 112848 - Virtual Host Problem
Virtual Host Problem
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: redhat-config-httpd (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-03 19:38 EST by trinity sabre
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 16:27:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description trinity sabre 2004-01-03 19:38:11 EST
Description of problem:
Virtual server setup, as per apache docs, set up two virt domains:

here are the relevant lines from the /etc/httpd/conf/httpd.conf that
redhat-config-httpd generates

NameVirtualHost *:80
# Virtual host Default
<VirtualHost *:80>
 	DocumentRoot /var/www/html 
 	ServerName reaper.deviantsin.org
	ServerAlias *.deviantsin.org deviantsin.org
</VirtualHost>

# Virtual host hosting.deviantsin.org
<VirtualHost *:80>
	DocumentRoot /home/trin/domains/consulting 
 	ServerName hosting.deviantsin.org
<Directory "/home/trin/domains/consulting">
        Options Indexes Includes FollowSymLinks
        AllowOverride None
        Allow from all
        Order allow,deny
</Directory>
</VirtualHost>

this results in the second entry loading no matter what host i hit
instead of the primary entry, as a side note, even
reaper.deviantsin.org would not load the correct page..

after messing with all the settings and uninstalling
redhat-config-httpd so i wouldnt be tempted to do it all again, this
config portion fixed the issue


NameVirtualHost *:80

# Virtual host Default
<VirtualHost *:80>
 	DocumentRoot /var/www/html 
 	ServerName reaper.deviantsin.org
	ServerAlias deviantsin.org www.deviantsin.org
</VirtualHost>


# Virtual host hosting.deviantsin.org
<VirtualHost *:80>
	DocumentRoot /home/trin/domains/consulting 
 	ServerName hosting.deviantsin.org
<Directory "/home/trin/domains/consulting">
        Options Indexes Includes FollowSymLinks
        AllowOverride None
        Allow from all
        Order allow,deny
</Directory>
</VirtualHost>
<VirtualHost *:80>
 	DocumentRoot /var/www/html 
 	ServerName reaper.deviantsin.org
	ServerAlias *.deviantsin.org
</VirtualHost>


reaper and hosting are the only virtual servers available via this
box, the box was built on an l440gx+ mainboard using redhat 9 minimal
install, and the steps described in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=107880
comment #15

all went smooth minus needing to remove and reinstall bind and
chroot-bind, then update the paths to kill some permission denied errors

the httpd thing is more of an annoyance than a bug as far as i can
tell, on my machine it is always reproducable

Version-Release number of selected component (if applicable):
httpd-2.0.47-10
redhat-config-httpd-1.1.0-5

How reproducible:
Always

Steps to Reproduce:
1. install httpd && redhat-config-httpd
2. create new virtual domain
3. load site1, load site2
  
Actual results:
same content served

Expected results:
seperate virt domains with seperate paths, expected seperate content
served

Additional info:
server consists of:
dual P3-600mhz processors
single 256mb kingston memory chip
aic7xxx dual channel scsi controller

drive array is configured as such:
relevant entries from /etc/fstab
/dev/md2 /     ext3    defaults,noatime 1 1
/dev/md0 /boot ext3    defaults        1 2
/dev/md3 /home ext3    defaults,usrquota,grpquota,noatime 1 2
/dev/md1 swap  swap    defaults        0 0

the software raids consist of md0 md1 md2 on 3 18gig seagates and md3
on 3 seperate 18gig seagates in a dothill/boxhill jewelbox 8000 style case
Comment 1 Phil Knirsch 2004-09-01 09:36:29 EDT
Strange.... Did you try setting up your VHosts like that with
redhat-config-network and see if that worked?

If yes, then i guess it's some wierd httpd parsing and serving problem
that might actually be even unrelated to redhat-config-network.

Read ya, Phil
Comment 2 Phil Knirsch 2004-10-22 10:20:25 EDT
There's actually a brand new system-config-httpd out now which fixes a
few know problems.

Could you give the latest rawhide version a try?

You might need to update 4Suite as well, not sure.

Read ya, Phil
Comment 3 John Thacker 2006-10-25 16:27:01 EDT
Closing per previous comment and lack of response.  Also note that FC1 and FC2
are no longer supported even by Fedora Legacy.

Note You need to log in before you can comment on or make changes to this bug.